using System;
using Server;

namespace Server.Items
{
    public class Stockin : Bag
    {
//         public override int MaxWeight { get { return 0; } }
        public override int DefaultDropSound { get { return 0x42; } }

        [Constructable]
        public Stockin()
        {
            Movable = true;
            GumpID = 259;
            Weight = 1.0;
            ItemID = Utility.RandomList(0x2BDB, 0x2BDC, 0x2BD9, 0x2BDA); //Red and Green Stockin
        }

        public Stockin(Serial serial)
            : base(serial)
        {
        }

        public override void Serialize(GenericWriter writer)
        {
            base.Serialize(writer);

            writer.Write((int)0); // version 
        }

        public override void Deserialize(GenericReader reader)
        {
            base.Deserialize(reader);

            int version = reader.ReadInt();
        }
    }
}


